GCLOUD_ML-ENGINE_LOCAL_PREDICT(1)

NAME

gcloud ml-engine local predict - run prediction locally

SYNOPSIS

gcloud ml-engine local predict --model-dir=MODEL_DIR (--json-instances=JSON_INSTANCES | --text-instances=TEXT_INSTANCES) [GLOBAL-FLAG ...]

DESCRIPTION
gcloud ml-engine local predict performs prediction locally with the given instances. It requires the TensorFlow SDK be installed locally. Only Debian based systems are supported at this time.

REQUIRED FLAGS

    --model-dir=MODEL_DIR
        Path to the model.

Exactly one of these must be specified:

    --json-instances=JSON_INSTANCES
        Path to a local file from which instances are read. Instances are in JSON format; newline delimited. An example of the JSON instances file:
        {"images": [0.0, ..., 0.1], "key": 3} {"images": [0.0, ..., 0.1], "key": 2}
    This flag accepts "-" for stdin.

    --text-instances=TEXT_INSTANCES
        Path to a local file from which instances are read. Instances are in UTF-8 encoded text format; newline delimited. An example of the text instances file:
        107,4.9,2.5,4.5,1.7 100,5.7,2.8,4.1,1.3
    This flag accepts "-" for stdin.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.